<template>
  <article class="mt-pax-subscribed-decount">
    <b-icon icon="account" class="has-text-grey-light" />
    <b class="mt-pax-subscribed-decount-poucent is-size-7">
      {{ avancement.taux.nombre }} / {{ avancement.taux.total }}
    </b>
    <div class="mt-pax-subscribed-decount-title is-size-7">{{ avancement.statut.nom }}</div>
  </article>
</template>

<script>
export default {
  name: 'MtPaxDecompte',
  props: {
    avancement: {
      type: Object,
      default: () => ({
        taux: {},
        statut: {},
      }),
    },
  },
};
</script>

<style scoped lang="scss">
@import '~/assets/css/_variables';
.mt-pax-subscribed-decount {
  display: flex;
  flex-direction: column;
  align-items: center;
  cursor: default;

  .mt-pax-subscribed-decount-poucent {
    color: $grey-dark;
    font-weight: bold;
  }
  .mt-pax-subscribed-decount-title {
    color: $grey-dark;
    font-weight: normal;
  }
}
</style>
